# eth\_getTransactionByBlockHashAndIndex

1. #### Parameters

* <mark style="color:blue;">blockHash</mark> string REQUIRED&#x20;

  The block hash&#x20;
* <mark style="color:blue;">index</mark> string REQUIRED&#x20;

  An integer of the transaction index position encoded as a hexadecimal

```bash
curl https://Krypc-End Point URL/ \
  -X POST \
  -H "Content-Type: application/json" \
  --data '{"method":"eth_getTransactionByBlockHashAndIndex","params":["0x829df9bb801fc0494abf2f443423a49ffa32964554db71b098d332d87b70a48b","0x0"],"id":1,"jsonrpc":"2.0"}'

```

2. #### Returns

* **object-**&#x54;he transaction response object, or null if no transaction is found:
  * <mark style="color:blue;">blockHash</mark> The hash of the block where this log was in. null when it's a pending log&#x20;
  * <mark style="color:blue;">blockNumber</mark> The block number where this log was in. null when it's a pending log&#x20;
  * <mark style="color:blue;">from</mark> The address of the sender&#x20;
  * <mark style="color:blue;">gas</mark> The gas provided by the sender, encoded as hexadecimal&#x20;
  * <mark style="color:blue;">gasPrice</mark> The gas price provided by the sender in wei, encoded as hexadecimal&#x20;
  * <mark style="color:blue;">maxFeePerGas</mark> The maximum fee per gas set in the transaction&#x20;
  * <mark style="color:blue;">maxPriorityFeePerGas</mark> The maximum priority gas fee set in the transaction&#x20;
  * <mark style="color:blue;">hash</mark> The hash of the transaction&#x20;
  * <mark style="color:blue;">input</mark> The data sent along with the transaction&#x20;
  * <mark style="color:blue;">nonce</mark> The number of transactions made by the sender before this one encoded as hexadecimal&#x20;
  * <mark style="color:blue;">to</mark> The address of the receiver. null when it's a contract creation transaction&#x20;
  * <mark style="color:blue;">transactionIndex</mark> The integer of the transaction's index position that the log was created from. null when it's a pending log&#x20;
  * <mark style="color:blue;">value</mark> The value transferred in wei encoded as hexadecimal&#x20;
  * <mark style="color:blue;">type</mark> The transaction type&#x20;
  * <mark style="color:blue;">accessList</mark> A list of addresses and storage keys that the transaction plans to access&#x20;
  * <mark style="color:blue;">chainId</mark> The chain id of the transaction, if any&#x20;
  * <mark style="color:blue;">v</mark> The standardized V field of the signature&#x20;
  * <mark style="color:blue;">r</mark> The R field of the signature&#x20;
  * <mark style="color:blue;">s</mark> The S field of the signature


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.krypcore.com/dev-docs/api-reference/infrastructure-apis/ethereum-json-rpc-apis/eth_gettransactionbyblockhashandindex.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
